GET /pool/{uuid}/httpcachestats/detail/

GET /pool/{uuid}/httpcachestats/detail/

/pool/{uuid}/httpcachestats/detail/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/httpcachestats/detail
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns HttpCacheStatsDetail of type(s) application/json
{
    "available_size": 0,
    "chain_copy_fail": 0,
    "chain_split_fail": 0,
    "data_allocations": 0,
    "data_freed": 0,
    "data_memory": 0,
    "data_shm_fail": 0,
    "entry_shm_fail": 0,
    "etype_adds": [
        {
            "count": 0,
            "encoding": "string"
        }
    ],
    "etype_objects": [
        {
            "count": 0,
            "encoding": "string"
        }
    ],
    "fetch": [
        {
            "count": 0,
            "name": "string"
        }
    ],
    "global_evicts": 0,
    "incoming": {
        "additions": 0,
        "data_size": 0,
        "deletions": 0,
        "hits": 0,
        "hits_expired": 0,
        "objects": 0,
        "out_of_mem_evicts": 0,
        "overwrite_evicts": 0,
        "served_bytes": 0
    },
    "local_evicts": 0,
    "lookups": 0,
    "meta_size": 0,
    "obj_allocations": 0,
    "obj_freed": 0,
    "obj_memory": 0,
    "object_shm_fail": 0,
    "outgoing": {
        "additions": 0,
        "data_size": 0,
        "deletions": 0,
        "hits": 0,
        "hits_expired": 0,
        "objects": 0,
        "out_of_mem_evicts": 0,
        "overwrite_evicts": 0,
        "served_bytes": 0
    },
    "proc_id": "string",
    "reval": [
        {
            "count": 0,
            "name": "string"
        }
    ],
    "se_uuid": "string",
    "store": [
        {
            "count": 0,
            "name": "string"
        }
    ],
    "store_out": [
        {
            "count": 0,
            "name": "string"
        }
    ]
}
integer As uint64 As uint64
available_size
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
chain_copy_fail
Optional

Header body split and copy failed. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
chain_split_fail
Optional

Header body split failed. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
data_allocations
Optional

Shared memory allocations for cached data. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
data_freed
Optional

Shared memory freed from cached data. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
data_memory
Optional

Total Shared memory in use for cached data. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
data_shm_fail
Optional

Packet data buffer allocation Failed. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
entry_shm_fail
Optional

Entry allocation Failed. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
etype_adds
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
etype_objects
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
fetch
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
global_evicts
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
incoming
Required  

incoming

integer As uint32 As uint32
local_evicts
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
lookups
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
meta_size
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
obj_allocations
Optional

Shared memory allocations for cached objects. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
obj_freed
Optional

Shared memory free from cached objects. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
obj_memory
Optional

Total Shared memory in use for cached objects. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
object_shm_fail
Optional

Object allocation Failed. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
outgoing
Required  

outgoing

string
proc_id
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
reval
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
store
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
store_out
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/httpcachestats/detail